Package com.salesforce.datacloud.jdbc.auth

## Interface TokenProcessor

All Known Implementing Classes:
  `DataCloudTokenProcessor`

    public interface TokenProcessor

### Method Summary

All Methods Instance Methods Abstract Methods
`DataCloudToken` `getDataCloudToken()`
`OAuthToken` `getOAuthToken()`
`AuthenticationSettings` `getSettings()`

### Method Detail

#### getSettings

    AuthenticationSettings getSettings()

#### getOAuthToken

    OAuthToken getOAuthToken()
                      throws SQLException

Throws:
  `SQLException`

#### getDataCloudToken

    DataCloudToken getDataCloudToken()
                              throws SQLException

Throws:
  `SQLException`